package com.gyee.frame.model.custom;

import java.util.Date;

public class CurvefittingVo implements java.io.Serializable {

	/** 
    * @Fields serialVersionUID : TODO
    */ 
    
    
    private static final long serialVersionUID = 1L;
	// Fields

	private String id;
	private String windturbineid;
	private Double monthdeviationrate;
	private Double yeardeviationrate;
	private Double standarddeviationrate;
	private Date recorddate;
	private Double deviationrate1;
	private Double deviationrate2;
	private Double deviationrate3;
	private String year;
	private String month;
	private String windfarm;
	private Date endDate;
	private Date beginDate;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getWindturbineid() {
		return windturbineid;
	}
	public void setWindturbineid(String windturbineid) {
		this.windturbineid = windturbineid;
	}
	public Double getMonthdeviationrate() {
		return monthdeviationrate;
	}
	public void setMonthdeviationrate(Double monthdeviationrate) {
		this.monthdeviationrate = monthdeviationrate;
	}
	public Double getYeardeviationrate() {
		return yeardeviationrate;
	}
	public void setYeardeviationrate(Double yeardeviationrate) {
		this.yeardeviationrate = yeardeviationrate;
	}
	public Double getStandarddeviationrate() {
		return standarddeviationrate;
	}
	public void setStandarddeviationrate(Double standarddeviationrate) {
		this.standarddeviationrate = standarddeviationrate;
	}
	public Date getRecorddate() {
		return recorddate;
	}
	public void setRecorddate(Date recorddate) {
		this.recorddate = recorddate;
	}
	public Double getDeviationrate1() {
		return deviationrate1;
	}
	public void setDeviationrate1(Double deviationrate1) {
		this.deviationrate1 = deviationrate1;
	}
	public Double getDeviationrate2() {
		return deviationrate2;
	}
	public void setDeviationrate2(Double deviationrate2) {
		this.deviationrate2 = deviationrate2;
	}
	public Double getDeviationrate3() {
		return deviationrate3;
	}
	public void setDeviationrate3(Double deviationrate3) {
		this.deviationrate3 = deviationrate3;
	}
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public String getMonth() {
		return month;
	}
	public void setMonth(String month) {
		this.month = month;
	}
	public String getWindfarm() {
		return windfarm;
	}
	public void setWindfarm(String windfarm) {
		this.windfarm = windfarm;
	}
	public Date getEndDate() {
		return endDate;
	}
	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}
	public Date getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}
	
	

}
